curl --request GET \
--url https://platform.kodexa.ai/api/data-definitions/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://platform.kodexa.ai/api/data-definitions/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://platform.kodexa.ai/api/data-definitions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"changeSequence": 123,
"createdOn": "2023-11-07T05:31:56Z",
"deleteUserEmail": "<string>",
"deleteUserId": "<string>",
"deleted": true,
"deletedDate": "2023-11-07T05:31:56Z",
"deprecated": true,
"extensionPackRef": "<string>",
"id": "d3456789-01ab-cdef-2345-678901abcdef",
"metadata": {
"checksum": "<string>",
"deleteProtection": true,
"description": "<string>",
"enabled": true,
"externalDataTaxonomyRefs": [
"<string>"
],
"icon": "<string>",
"imageUrl": "<string>",
"overviewMarkdown": "<string>",
"provider": "<string>",
"providerImageUrl": "<string>",
"providerUrl": "<string>",
"taxonomyType": "<string>",
"taxons": [
{
"additionContexts": [
"<string>"
],
"children": "<array>",
"color": "<string>",
"conditionalFormats": [
{
"background": "<string>",
"color": "<string>",
"condition": "<string>",
"formula": "<string>",
"icon": "<string>",
"name": "<string>",
"properties": {},
"style": "<string>",
"type": "<string>"
}
],
"dataPath": "<string>",
"description": "<string>",
"enabled": true,
"eventSubscriptions": [
{
"dependsOn": [
"<string>"
],
"disabled": true,
"name": "<string>",
"on": "<string>",
"script": "<string>"
}
],
"externalName": "<string>",
"generateName": true,
"group": true,
"id": "<string>",
"label": "<string>",
"lexicalRelations": [
{
"type": "<string>",
"value": "<string>",
"weight": 123
}
],
"multiValue": true,
"name": "<string>",
"nodeTypes": [
"<string>"
],
"notUserLabelled": true,
"nullValue": "<string>",
"nullable": true,
"options": [
{
"aliases": [
"<string>"
],
"default": "<unknown>",
"description": "<string>",
"developerOnly": true,
"displayProperties": {
"columns": 123,
"rows": 123,
"width": 123
},
"falseLabel": "<string>",
"featureFlag": "<string>",
"groupOptions": "<array>",
"hint": "<string>",
"label": "<string>",
"listDescription": "<string>",
"listLabel": "<string>",
"listType": "<string>",
"name": "<string>",
"overviewMarkdown": "<string>",
"possibleValues": [
{
"description": "<string>",
"label": "<string>",
"value": "<string>"
}
],
"properties": {
"color": "<string>",
"icon": "<string>"
},
"required": true,
"showIf": "<string>",
"showOnPopup": true,
"subType": "<string>",
"supportArticle": "<string>",
"tabName": "<string>",
"type": "<string>"
}
],
"order": 123,
"overviewMarkdown": "<string>",
"path": "<string>",
"properties": {
"alignment": "<string>",
"visible": true,
"width": 123
},
"selectionOptionFormula": "<string>",
"selectionOptions": [
{
"conditionalFormula": "<string>",
"description": "<string>",
"disabled": "<string>",
"hint": "<string>",
"hintMarkdown": true,
"id": "<string>",
"isConditional": true,
"label": "<string>",
"lexicalRelations": [
{
"type": "<string>",
"value": "<string>",
"weight": 123
}
],
"value": "<string>"
}
],
"semanticDefinition": "<string>",
"synonyms": [
"<string>"
],
"typeFeatures": {
"allowTemplating": true,
"cardinality": "<string>",
"chunkingStrategy": "<string>",
"classificationContent": "<string>",
"classificationStrategy": "<string>",
"contextHeadLines": 123,
"contextTailLines": 123,
"currencyCode": "<string>",
"dateFormat": "<string>",
"decimalPlaces": 123,
"embedded": true,
"enableAiFallback": true,
"enableLineFallback": true,
"enablePlanningThinkingMode": true,
"enableStructureReview": true,
"enableStructureReviewThinkingMode": true,
"enableThinkingMode": true,
"expected": true,
"extractionModel": "<string>",
"formulaExpression": "<string>",
"hierarchyMaxLinesPerCall": 123,
"hierarchyWindowOverlap": 123,
"ignoreNonWords": true,
"imageWidth": 123,
"includeDataElementsInClassificationPrompt": true,
"includeExplanation": true,
"includeImages": true,
"instanceBoundaryThreshold": 123,
"labelDocument": true,
"markdown": true,
"maxChildLines": 123,
"maxPagesFromRerank": 123,
"merge": true,
"mergeInstances": true,
"mergeInstructions": "<string>",
"mergeWithAI": true,
"nPages": 123,
"overrideExtractionModel": true,
"planningModel": "<string>",
"promptStrategy": "<string>",
"raiseExceptionOnAiFallback": true,
"raiseExceptionOnFallback": true,
"rerank": true,
"restrictClassification": true,
"skipExtraction": true,
"structureReview": "<string>",
"summarize": true,
"tagPage": true
},
"useSelectionOptionFormula": true,
"userEditable": true,
"validationRules": [
{
"conditional": true,
"conditionalFormula": "<string>",
"description": "<string>",
"detailFormula": "<string>",
"disabled": true,
"exceptionId": "<string>",
"messageFormula": "<string>",
"name": "<string>",
"overridable": true,
"ruleFormula": "<string>",
"supportArticleId": "<string>"
}
]
}
]
},
"name": "Invoice Taxonomy",
"organizationId": "<string>",
"publicAccess": true,
"slug": "invoice-taxonomy",
"template": true,
"type": "<string>",
"updatedOn": "2023-11-07T05:31:56Z",
"uuid": "<string>",
"yamlSource": "<string>"
}Get Taxonomies by ID
Retrieves a single Taxonomies by its unique identifier. Data definitions (taxonomies) define document structure and extraction rules.
Authorizations
API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.
Path Parameters
Unique identifier (UUID) of the resource.
Response
The Taxonomies
Taxonomy metadata defines document structure and extraction rules (data definitions).
Optimistic locking version number.
Timestamp when the taxonomy was created.
Whether this taxonomy is deprecated.
Unique identifier (UUID) for the taxonomy.
"d3456789-01ab-cdef-2345-678901abcdef"
Show child attributes
Show child attributes
Display name of the taxonomy.
"Invoice Taxonomy"
Whether the taxonomy is publicly accessible.
URL-friendly identifier for the taxonomy.
"invoice-taxonomy"
Whether this taxonomy is a template.
Timestamp when the taxonomy was last updated.
Secondary UUID identifier.
